package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.entities.PapThtAnamnesisTelinga;
import com.jasamedika.medifirst2000.vo.PapThtAnamnesisTelingaVO;

/**
 * Converter class between PAPThtAnamnesisTelinga and PAPThtAnamnesisTelingaVO
 * 
 * @author Askur
 */
@Component
public class PapThtAnamnesisTelingaConverter implements BaseVoConverter<PapThtAnamnesisTelingaVO, PapThtAnamnesisTelinga> {
	

	public PapThtAnamnesisTelinga transferVOToModel(PapThtAnamnesisTelingaVO vo, PapThtAnamnesisTelinga model) {
		if (null == model)
			model = new PapThtAnamnesisTelinga();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, PapThtAnamnesisTelinga.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return model;

	}

	public List<PapThtAnamnesisTelingaVO> transferListOfModelToListOfVO(List<PapThtAnamnesisTelinga> models,
			List<PapThtAnamnesisTelingaVO> vos) {
		if (null == vos)
			vos = new ArrayList<PapThtAnamnesisTelingaVO>();

		if (null == models)
			return vos;

		for (PapThtAnamnesisTelinga PapThtAnamnesisTelinga : models) {
			PapThtAnamnesisTelingaVO vo = new PapThtAnamnesisTelingaVO();
			vo = transferModelToVO(PapThtAnamnesisTelinga, vo);
			vos.add(vo);
		}

		return vos;
	}

	@Override
	public PapThtAnamnesisTelingaVO transferModelToVO(PapThtAnamnesisTelinga model, PapThtAnamnesisTelingaVO vo) {

		if (null == vo)
			vo = new PapThtAnamnesisTelingaVO();
		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, PapThtAnamnesisTelingaVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return vo;
	
	}

	
}
